# PSF-LoginServer - master - net.psforever.objects.definition.ImplantDefinition
PSF - LoginServer - master - net.psforever.objects.definition.ImplantDefinition
Keywords: PSF LoginServer master net.psforever.objects.definition.ImplantDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package definition
  Definition Classes
    objects
-  package converter
  Definition Classes
    definition
- AmmoBoxDefinition
- AvatarDefinition
- BaseDeployableDefinition
- BasicDefinition
- CargoDefinition
- ConstructionFireMode
- ConstructionItemDefinition
- DeployAnimation
- DeployableDefinition
- EquipmentDefinition
- ExoSuitDefinition
- ImplantDefinition
- KitDefinition
- ObjectDefinition
- ProjectileDefinition
- SimpleItemDefinition
- SpecialExoSuitDefinition
- ToolDefinition
- VehicleDefinition

c

net.psforever.objects.definition

# ImplantDefinition

###

#### class ImplantDefinition extends BasicDefinition

The definition for an installable player utility that grants a perk, usually in exchange for stamina (energy).
Most of the definition deals with the costs of activation and operation. When activated by the user, an `activationCharge` may be deducted form that user's stamina reserves. This does not necessarily have to be a non-zero value. Passive implants are always active and thus have no cost. After being activated, a non-passive implant consumes a specific amount of stamina at regular intervals Some implants will specify a different interval for consuming stamina based on the exo-suit the player is wearing

Source
  ImplantDefinition.scala
See also

  `ImplantType`

Linear Supertypes
BasicDefinition, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ImplantDefinition
2. BasicDefinition
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ImplantDefinition(implantType: ImplantType)

   implantType

     the type of implant that is defined

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ActivationStaminaCost: Int
5.  def ActivationStaminaCost_=(charge: Int): Int
6.  def CostIntervalByExoSuitHashMap: Map[types.ExoSuitType.Value, Int]
7.  def CostIntervalDefault: Int
8.  def CostIntervalDefault_=(interval: Int): Int
9.  def Descriptor: String
   Definition Classes
     BasicDefinition
10.  def Descriptor_=(description: Option[String]): String
    Definition Classes
      BasicDefinition
11.  def Descriptor_=(description: String): String
    Definition Classes
      BasicDefinition
12.  def GetCostIntervalByExoSuit(exosuit: types.ExoSuitType.Value): Int
13.  def InitializationDuration: Long
14.  def InitializationDuration_=(time: Long): Long
15.  def Name: String
    Definition Classes
      BasicDefinition
16.  def Name_=(name: String): String
    Definition Classes
      BasicDefinition
17.  def Passive: Boolean
18.  def Passive_=(isPassive: Boolean): Boolean
19.  def StaminaCost: Int
20.  def StaminaCost_=(charge: Int): Int
21.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
22.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
23.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
25.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
26.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  val implantType: ImplantType
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from BasicDefinition

### Inherited from AnyRef

### Inherited from Any

### Ungrouped